petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSPAISetCacheSize

specify cache size in the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetCacheSize(PC pc,int cache_size)

### Input Parameters

| pc | - the preconditioner Many br
| n | - cache size {0,1,2,3,4,5} (default 5) Many br

Notes: SPAI uses a hash table to cache messages and avoid Many brredundant communication. If suggest always using Many br5. This parameter is irrelevant in the serial Many brversion. Many br

Many br

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages